# Uses of Interface
ch.qos.logback.core.rolling.TriggeringPolicy

Packages that use TriggeringPolicy
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.

## Uses of TriggeringPolicy in ch.qos.logback.core.rolling

Subinterfaces of TriggeringPolicy in ch.qos.logback.core.rolling
Modifier and Type
Interface
Description
`interface`
`TimeBasedFileNamingAndTriggeringPolicy<E>`
This interface lists the set of methods that need to be implemented by triggering policies which are nested within a `TimeBasedRollingPolicy`.
Classes in ch.qos.logback.core.rolling that implement TriggeringPolicy
Modifier and Type
Class
Description
`class`
`DefaultTimeBasedFileNamingAndTriggeringPolicy<E>`
`class`
`SizeAndTimeBasedFNATP<E>`
`class`
`SizeAndTimeBasedRollingPolicy<E>`
`class`
`SizeBasedTriggeringPolicy<E>`
SizeBasedTriggeringPolicy looks at size of the file being currently written to.
`class`
`TimeBasedFileNamingAndTriggeringPolicyBase<E>`
`class`
`TimeBasedRollingPolicy<E>`
`TimeBasedRollingPolicy` is both easy to configure and quite powerful.
`class`
`TriggeringPolicyBase<E>`
SizeBasedTriggeringPolicy looks at size of the file being currently written to.
Methods in ch.qos.logback.core.rolling that return TriggeringPolicy
Modifier and Type
Method
Description
`TriggeringPolicy<E>`
RollingFileAppender.`getTriggeringPolicy()`
Methods in ch.qos.logback.core.rolling with parameters of type TriggeringPolicy
Modifier and Type
Method
Description
`void`
RollingFileAppender.`setTriggeringPolicy(TriggeringPolicy<E> policy)`